ALTER TABLE PAYMENT_TRANSACTION
ADD STATEMENT_ACCOUNT VARCHAR2(50 CHAR)
;

ALTER TABLE PAYMENT_TRANSACTION
ADD ID_ACCOUNT NUMBER
;

ALTER TABLE PAYMENT_TRANSACTION
ADD STATEMENT_NR VARCHAR2(100 CHAR)
;

DROP VIEW V_PAYMENT_TRANSACTION 
;

CREATE OR REPLACE VIEW V_PAYMENT_TRANSACTION AS (
SELECT PT.ID, PT.ID_SALDKONT_INV, PT.ID_SALDKONT_PAY, PT.ID_LASTNIKA, PT.ACCOUNT_FROM, PT.ACCOUNT_TO, PT.AMOUNT, PT.CURRENCY_CODE, PT.TRANSACTION_DATE, PT.TRANSACTION_MESSAGE, PT.STATUS, 
PT.PAYMENT_NKNJIZBA, PT."COMMENT", PT.NNLOCATION_ID, PT.REFERENCE, PT.INVOICE_NUMBER, PT.NEW_INTERNAL_TRANSACTION, PT.PAYMENT_DATE, PT.ID_ACCOUNT, PT.STATEMENT_ACCOUNT,  PT.STATEMENT_NR, 
(SELECT SUM(S.ZA_PLACILO) FROM SALDKONT S, PAYMENT_TRANSACTION_SALDKONT PTS WHERE S.ID_SALDKONT = PTS.ID_SALDKONT AND PTS.ID_PAYMENT_TRANSACTION = PT.ID) AS APPLIED_AMOUNT,
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, 
(CASE WHEN PT.ID_LASTNIKA IS NOT NULL THEN ((CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END)) ELSE NAME END) AS OWNER,
PKN.SLO AS PAYMENT_NKNJIZBA_OPIS, PKN.SALDKONT AS PAYMENT_NKNJIZBA_SALDKONT, SI.N_RACUNA AS SALDKONT_INVOICE_N_RACUNA, 
SI.ZA_PLACILO AS SALDKONT_INVOICE_ZA_PLACILO, SI.PORABLJENO AS SALDKONT_INVOICE_PORABLJENO, SP.N_RACUNA AS SALDKONT_PAYMENT_N_RACUNA,
SP.ZA_PLACILO AS SALDKONT_PAYMENT_ZA_PLACILO, SP.PORABLJENO AS SALDKONT_PAYMENT_PORABLJENO, PT.ID_CARDS
FROM PAYMENT_TRANSACTION PT
LEFT OUTER JOIN KUPCI KU ON KU.ID = PT.ID_LASTNIKA
LEFT OUTER JOIN NKNJIZBA PKN ON PKN.NKNJIZBA = PT.PAYMENT_NKNJIZBA
LEFT OUTER JOIN SALDKONT SI ON SI.ID_SALDKONT = PT.ID_SALDKONT_INV
LEFT OUTER JOIN SALDKONT SP ON SP.ID_SALDKONT = PT.ID_SALDKONT_PAY
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2063, SYSDATE, '5.5', 1983, 'Payment_transaction')
;